/*
 * DocServer
 * More Info available on https://www.doctag.de
 *
 * The version of the OpenAPI document: 0.1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package de.doctag.docsrv_api.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.annotation.JsonValue;
import de.doctag.docsrv_api.model.Address;
import de.doctag.docsrv_api.model.Person;
import de.doctag.docsrv_api.model.PublicKeyVerification;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;


/**
 * Model tests for PublicKeyResponse
 */
public class PublicKeyResponseTest {
    private final PublicKeyResponse model = new PublicKeyResponse();

    /**
     * Model tests for PublicKeyResponse
     */
    @Test
    public void testPublicKeyResponse() {
        // TODO: test PublicKeyResponse
    }

    /**
     * Test the property 'created'
     */
    @Test
    public void createdTest() {
        // TODO: test created
    }

    /**
     * Test the property 'owner'
     */
    @Test
    public void ownerTest() {
        // TODO: test owner
    }

    /**
     * Test the property 'ownerAddress'
     */
    @Test
    public void ownerAddressTest() {
        // TODO: test ownerAddress
    }

    /**
     * Test the property 'publicKey'
     */
    @Test
    public void publicKeyTest() {
        // TODO: test publicKey
    }

    /**
     * Test the property 'signingDoctagInstance'
     */
    @Test
    public void signingDoctagInstanceTest() {
        // TODO: test signingDoctagInstance
    }

    /**
     * Test the property 'verboseName'
     */
    @Test
    public void verboseNameTest() {
        // TODO: test verboseName
    }

    /**
     * Test the property 'verification'
     */
    @Test
    public void verificationTest() {
        // TODO: test verification
    }

}
